Slots
All operations require authentication.
List slotsProduction
Returns the account slots of the platform with their offer, billing status and linked email account. Filter them by accountId, email, offer, billingStatus or used.
Path parameters
Platform ID
Query parameters
Filter by account identifier of the slots
Filter by the billing status of the slots
Filter slot by an email
Filter by offer of the slots
Filter by the empty account id of the slots
Headers
Pagination cursor
Pagination size
Response
Checksum hash in MD5 representation
Object representing slot
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses platformId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ slot \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "currentState": { "accountId": "00000000-0000-0000-0000-000000000000", "billingStatus": "CREATING", "createdAt": "2024-01-01T12:00:00Z", "domainPromotionLink": "string", "email": "string", "offer": "PRO", "platformId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]
Get a slotProduction
Returns the offer and billing status of the slot, and the email account using it. accountId and email are null while no account uses the slot.
Path parameters
Platform ID
Slot ID
Response
Checksum hash in MD5 representation
Object representing slot
An array containing tasks responses pending on resource extends AsyncResourceBase object
Resource identifier in UUID representation
Current resource status
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses platformId = 00000000-0000-0000-0000-000000000000, slotId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ zimbra/ platform/ {platformId}/ slot/ {slotId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "currentState": { "accountId": "00000000-0000-0000-0000-000000000000", "billingStatus": "CREATING", "createdAt": "2024-01-01T12:00:00Z", "domainPromotionLink": "string", "email": "string", "offer": "PRO", "platformId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}